Public Attributes

# mac_table_entry_t Struct Reference

`#include <rtu_drv.h>`

List of all members.

## Public Attributes
int | valid
int | end_of_bucket
int | is_bpdu
mac_addr_t | mac
uint8_t | fid
uint32_t | port_mask_src
uint32_t | port_mask_dst
int | drop_when_source
int | drop_when_dest
int | drop_unmatched_src_ports
uint32_t | last_access_t
uint8_t | prio_src
int | has_prio_src
int | prio_override_src
uint8_t | prio_dst
int | has_prio_dst
int | prio_override_dst
int | go_to_cam
uint16_t | cam_addr

## Member Data Documentation

uint16_t mac_table_entry_t::cam_addr

int mac_table_entry_t::drop_unmatched_src_ports

int mac_table_entry_t::drop_when_dest

int mac_table_entry_t::drop_when_source

int mac_table_entry_t::end_of_bucket

uint8_t mac_table_entry_t::fid

int mac_table_entry_t::go_to_cam

int mac_table_entry_t::has_prio_dst

int mac_table_entry_t::has_prio_src

int mac_table_entry_t::is_bpdu

uint32_t mac_table_entry_t::last_access_t

mac_addr_t mac_table_entry_t::mac

uint32_t mac_table_entry_t::port_mask_dst

uint32_t mac_table_entry_t::port_mask_src

uint8_t mac_table_entry_t::prio_dst

int mac_table_entry_t::prio_override_dst

int mac_table_entry_t::prio_override_src

uint8_t mac_table_entry_t::prio_src

int mac_table_entry_t::valid

The documentation for this struct was generated from the following file:

- /home/wrdev/wrdev/software/RTUWRd/rtu_drv.h

All Classes Files Functions Variables Typedefs Defines